/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */

#ifndef BMP_PLUGIN_CONTAINER_FOLDER_H
#define BMP_PLUGIN_CONTAINER_FOLDER_H

#include <glib-object.h>

extern GType plugin_container_folder_type;

#define BMP_TYPE_PLUGIN_CONTAINER_FOLDER             plugin_container_folder_type 
#define BMP_PLUGIN_CONTAINER_FOLDER(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), BMP_TYPE_PLUGIN_CONTAINER_FOLDER, BmpPluginContainerFolder))
#define BMP_PLUGIN_CONTAINER_FOLDER_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), BMP_TYPE_PLUGIN_CONTAINER_FOLDER, BmpPluginContainerFolderClass))
#define BMP_IS_PLUGIN_CONTAINER_FOLDER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BMP_TYPE_PLUGIN_CONTAINER_FOLDER))
#define BMP_IS_PLUGIN_CONTAINER_FOLDER_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), BMP_TYPE_PLUGIN_CONTAINER_FOLDER))
#define BMP_PLUGIN_CONTAINER_FOLDER_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), BMP_TYPE_PLUGIN_CONTAINER_FOLDER, BmpPluginContainerFolderClass))


typedef struct _BmpPluginContainerFolder BmpPluginContainerFolder;
typedef struct _BmpPluginContainerFolderClass BmpPluginContainerFolderClass;

struct _BmpPluginContainerFolder {
        GObject parent;
};

struct _BmpPluginContainerFolderClass {
        GObjectClass parent;
};

void plugin_container_folder_register_type (GTypeModule *module);



#endif //BMP_PLUGIN_CONTAINER_FOLDER_H
